package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.time.LocalDate;

public class AndroidAllProductsRecipeDTO implements Serializable {
   @ApiModelProperty("菜谱日期")
   private @NotNull(
   message = "{menu_apply_date_null}"
) LocalDate applyDate;
   @ApiModelProperty("时间段id")
   private @NotNull(
   message = "{menu_interval_id_null}"
) Long intervalId;

   public LocalDate getApplyDate() {
      return this.applyDate;
   }

   public Long getIntervalId() {
      return this.intervalId;
   }

   public void setApplyDate(final LocalDate applyDate) {
      this.applyDate = applyDate;
   }

   public void setIntervalId(final Long intervalId) {
      this.intervalId = intervalId;
   }

}
